Bug 18209 - In the description of the sequence of steps that a user-agent must execute every 350 ms: In side condition 'Otherwise' of item 3.1, there are 4 conditions listed - the first 3 starting with the word 'If' and the last one with 'Otherwise'. In all of the fi
Summary: In the description of the sequence of steps that a user-agent must execute ev...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:41 UTC by contributor
Modified: 2012-10-06 00:55 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:41:22 UTC
This was was cloned from bug 17278 as part of operation convergence.
Originally filed: 2012-06-01 02:06:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-06-01 02:06:04 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/dnd.html
Multipage: http://www.whatwg.org/C#drag-and-drop-processing-model
Complete: http://www.whatwg.org/c#drag-and-drop-processing-model

Comment:
In the description of the sequence of steps that a user-agent must execute
every 350 ms: In side condition 'Otherwise' of item 3.1, there are 4
conditions listed - the first 3 starting with the word 'If' and the last one
with 'Otherwise'. In all of the first three conditions (i.e. those starting
with 'If') shouldn't references to 'current target element' be instead
'immediate user selection'?

Posted from: 24.4.130.88
User agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
================================================================================
 #1   Sumeet                                          2012-06-01 02:17:26 +0000 
--------------------------------------------------------------------------------
Below is the text I commented about. Thanks.

If the current target element is a text field (e.g. textarea, or an input element whose type attribute is in the Text state) or an editing host or editable element, and the drag data store item list has an item with the drag data item type string "text/plain" and the drag data item kind Plain Unicode string

    Set the current target element to the immediate user selection anyway.

If the current target element is an element with a dropzone attribute that matches the drag data store

    Set the current target element to the immediate user selection anyway.

If the current target element is the body element

    Leave the current target element unchanged.

Otherwise

    Fire a DND event named dragenter at the body element, if there is one, or at the Document object, if not. Then, and set the current target element to the body element, regardless of whether that event was canceled or not.
================================================================================
 #2   Sumeet                                          2012-06-01 18:05:32 +0000 
--------------------------------------------------------------------------------
Created attachment 1140 [details]
Excerpt from HTML5 spec 8.7.5 Drag-and-drop processing model

I realize that my comments are not clear. Therefore I am providing an html attachment of the original text with footnotes about what I think should change. 

BR,
SS
================================================================================
Comment 1 Silvia Pfeiffer 2012-10-06 00:55:15 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/45ddb74cd1783c4b3f6d1073d7de861c3f23376f
Rationale: accepted WHATWG change